#
# spec file for package python-jabberbot
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-jabberbot
Version:        0.15
Release:        1.1
Url:            http://thp.io/2007/python-jabberbot/
Summary:        A simple framework for creating Jabber/XMPP bots and services
License:        GPL-3-Clause
Group:          Development/Languages/Python
Source:         jabberbot-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-xmpppy
Requires:       python-xmpppy
%if 0%{?suse_version}
%py_requires
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif
%endif

%description
A simple Jabber Bot for Python.

%prep
%setup -q -n jabberbot-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Fri Mar  9 2012 alexandre@exatati.com.br
- Update to 0.15:
  - Sorry, no changelog.
* Sun Jul 31 2011 alexandre@exatati.com.br
- Update to 0.14:
  - Sorry, no changelog.
* Mon Apr  4 2011 alexandre@exatati.com.br
- Update to 0.13;
- Regenerate spec file with py2pack.
* Thu Feb 10 2011 alexandre@exatati.com.br
- Update to 0.12:
  - Support for private subscription domains; contributed by
    David O'Rourke.
* Sat Jan 22 2011 alexandre@exatati.com.br
- Update to 0.11;
- Spec file cleaned with spec-cleaner;
- Bzip2 source file.
* Mon Jan 25 2010 alexandre@exatati.com.br
- Initial package (0.9) for openSUSE.
